<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<packaging>pom</packaging>
	<modules>
		<module>car-common</module>
		<module>car-dao</module>
		<module>car-service</module>
        <module>car-mis</module>
	</modules>
	<parent>
		<groupId>org.springframework.boot</groupId>
		<artifactId>spring-boot-starter-parent</artifactId>
		<version>2.1.8.RELEASE</version>
		<relativePath/> <!-- lookup parent from repository -->
	</parent>
	<groupId>com.weiqi</groupId>
	<artifactId>carmis</artifactId>
	<version>0.0.1-SNAPSHOT</version>
	<name>carmis</name>
	<description>Demo project for Spring Boot</description>

	<properties>
		<java.version>1.8</java.version>
	</properties>

	<dependencies>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web</artifactId>
		</dependency>

		<dependency>
			<groupId>org.mybatis</groupId>
			<artifactId>mybatis-spring</artifactId>
			<version>1.3.2</version>
		</dependency>


		<dependency>
			<groupId>org.apache.logging.log4j</groupId>
			<artifactId>log4j-api</artifactId>
			<version>2.17.1</version>
		</dependency>
		<dependency>
			<groupId>org.apache.logging.log4j</groupId>
			<artifactId>log4j-to-slf4j</artifactId>
			<version>2.17.1</version>
		</dependency>

	</dependencies>

	<!-- 构建设置 -->
	<build>
		<defaultGoal>package</defaultGoal>
		<resources>
			<resource>
				<directory>src/main/resources</directory>
				<excludes>
					<!-- <exclude>log4j.*</exclude> -->
					<!-- <exclude>logback.*</exclude> -->
				</excludes>
			</resource>
			<resource>
				<!-- 默认即：src/main/java -->
				<directory>${project.build.sourceDirectory}</directory>
				<includes>
					<include>**/*.properties</include>
					<include>**/*.xml</include>
				</includes>
				<excludes>
					<!-- <exclude>log4j.*</exclude> -->
					<!-- <exclude>logback.*</exclude> -->
				</excludes>
			</resource>
		</resources>
		<testResources>
			<testResource>
				<directory>src/test/resources</directory>
				<excludes>
					<!-- <exclude>log4j.*</exclude> -->
					<!-- <exclude>logback.*</exclude> -->
				</excludes>
			</testResource>
			<testResource>
				<!-- 默认即：src/test/java -->
				<directory>${project.build.testSourceDirectory}</directory>
				<includes>
					<include>**/*.properties</include>
					<include>**/*.xml</include>
				</includes>
				<excludes>
					<!-- <exclude>log4j.*</exclude> -->
					<!-- <exclude>logback.*</exclude> -->
				</excludes>
			</testResource>
		</testResources>
		<plugins>
			<!-- 资源编码UTF-8 -->
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-resources-plugin</artifactId>
				<version>3.0.1</version>
				<configuration>
					<encoding>UTF-8</encoding>
				</configuration>
			</plugin>
			<!-- 使用1.7级别编译；代码为UTF-8编码；只编译指定的位置 -->
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.6.0</version>
				<configuration>
					<source>1.8</source>
					<target>1.8</target>
					<verbose>true</verbose>
					<encoding>UTF-8</encoding>
					<compilerArguments>
						<sourcepath>${project.build.sourceDirectory}</sourcepath>
					</compilerArguments>
				</configuration>
			</plugin>
			<!-- package的时候，单独打出source包出来，deploy的时候能够一同提交到库中 -->
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-source-plugin</artifactId>
				<version>3.0.1</version>
				<executions>
					<execution>
						<id>attach-sources</id>
						<goals>
							<goal>jar</goal>
						</goals>
					</execution>
				</executions>
			</plugin>

			<!-- 默认Skip掉Test -->
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-surefire-plugin</artifactId>
				<version>2.19.1</version>
				<configuration>
					<skip>true</skip>
				</configuration>
			</plugin>
		</plugins>
	</build>

	<!--定义snapshots库和releases库的nexus地址-->
	<distributionManagement>
		<repository>
			<id>releases</id>
			<url>
				http://repo.corpweiqi.com/nexus/content/repositories/releases/
			</url>
		</repository>
		<snapshotRepository>
			<id>snapshots</id>
			<url>
				http://repo.corpweiqi.com/nexus/content/repositories/snapshots/
			</url>
		</snapshotRepository>
	</distributionManagement>

</project>
